import { request } from "../config";

export const getImageService = (params: any) => {
    return request({
        url: '/api/service/image',
        method: 'get',
        params
    })
}
export const addImageService = (data: any) => {
    return request({
        url: '/api/service/image',
        method: 'post',
        data
    })
}
export const updateImageService = (data: any) => {
    return request({
        url: '/api/service/image',
        method: 'put',
        data
    })
}
export const deleteImageService = (id: number) => {
    return request({
        url: '/api/service/image/' + id,
        method: 'delete',
    })
}
export const getImageVersion = (params: any) => {
    return request({
        url: '/api/service/image/version',
        method: 'get',
        params
    })
}
export const addImageVersion = (data: any) => {
    return request({
        url: '/api/service/image/version',
        method: 'post',
        data
    })
}
export const deleteImageVersion = (id: number) => {
    return request({
        url: '/api/service/image/version/' + id,
        method: 'delete',
    })
}
